Employee Type Permission
The employee type permission resource.
Basehttps://rest.carbon.ms/employeeTypePermission
GET
/employeeTypePermissionList employee type permissions
Retrieve a paginated list of employee type permissions. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/employeeTypePermission
curl --request GET \
--url 'https://rest.carbon.ms/employeeTypePermission?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"employeeTypeId": "xyz789",
"module": "string",
"create": [],
"delete": [],
"update": [],
"view": [],
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/employeeTypePermissionRetrieve a employee type permission
Fetch a single employee type permission by filtering on `employeeTypeId`.
Query parameters
employeeTypeIdstringMatch on the employee type permission's `employeeTypeId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/employeeTypePermission
curl --request GET \
--url 'https://rest.carbon.ms/employeeTypePermission?employeeTypeId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"employeeTypeId": "xyz789",
"module": "string",
"create": [],
"delete": [],
"update": [],
"view": [],
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/employeeTypePermissionCreate a employee type permission
Create a new employee type permission.
Body parameters
createarrayrequireddeletearrayrequiredupdatearrayrequiredviewarrayrequiredPOSThttps://rest.carbon.ms/employeeTypePermission
curl --request POST \
--url https://rest.carbon.ms/employeeTypePermission \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"create":[],"delete":[],"update":[],"view":[]}'Response
{
"employeeTypeId": "xyz789",
"module": "string",
"create": [],
"delete": [],
"update": [],
"view": [],
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/employeeTypePermissionUpdate a employee type permission
Update an existing employee type permission, matched on `employeeTypeId`.
Body parameters
createarrayrequireddeletearrayrequiredupdatearrayrequiredviewarrayrequiredPATCHhttps://rest.carbon.ms/employeeTypePermission
curl --request PATCH \
--url 'https://rest.carbon.ms/employeeTypePermission?employeeTypeId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"create":[]}'Response
{
"employeeTypeId": "xyz789",
"module": "string",
"create": [],
"delete": [],
"update": [],
"view": [],
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/employeeTypePermissionDelete a employee type permission
Delete a employee type permission, matched on `employeeTypeId`. Returns 204 No Content.
Query parameters
employeeTypeIdstringThe `employeeTypeId` of the employee type permission to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/employeeTypePermission
curl --request DELETE \
--url 'https://rest.carbon.ms/employeeTypePermission?employeeTypeId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content